#ifndef ETHERNETSWITCHDELAY_H_
#define ETHERNETSWITCHDELAY_H_

#include <string>
#include <map>
#include "models/wiredbas/common/NodeDelay.h"
#include "models/wiredbas/link/EthernetLinkDelay.h"

namespace cosi {

namespace models {

namespace wiredbas {

class EthernetSwitchDelay : public NodeDelay {
	cosi::models::wiredbas::EthernetLinkDelay* mLinkDelay;
	double mSpeed;
public:
	EthernetSwitchDelay(double Speed);
	virtual ~EthernetSwitchDelay();
	RealDelay Get(Vertex NodeId,
			cosi::commstruct::wiredbas::Implementation* pI,Vertex Src , std::string Dest);
	double GetValue(Vertex NodeId,
			cosi::commstruct::wiredbas::Implementation* pI,Vertex Src , std::string Dest);

};

}

}

}

#endif /*ETHERNETSWITCHDELAY_H_*/
